package adapter;

public class TwoToThreeAdaptor implements StrongPlugInterface {

    WeekPlugInterface weekPlugInterface; // Adaptee
    
    public TwoToThreeAdaptor(WeekPlugInterface aWeekPlug) {
        this.weekPlugInterface = aWeekPlug;
    }

    @Override
    public void generateStrongElectricity() {
        weekPlugInterface.generateWeekElectricity();
        
        // Physic work
        System.out.println("Transform to 200V.");
    }       

}
